<?php
include $app->getModuleRoot() . 'common/view/header.html.php';
include '../../common/view/kanban.html.php';
include '../../common/view/confirmer.html.php';
include '../../common/view/sortable.html.php';

$laneCount = 0;
foreach($regionList as $region)
{
    $laneCount += $region->laneCount;
    js::set('kanban' . $region->id, $region->kanbanGroup);
}

js::set('taskStatus', $project->taskStatus);
js::set('kanbanLang', $lang->kanban);
js::set('kanbanlaneLang', $lang->kanbanlane);
js::set('kanbancolumnLang', $lang->kanbancolumn);
js::set('taskLang', $lang->task);
js::set('projectID', $project->id);
js::set('members', $members);
js::set('laneCount', $laneCount);
js::set('account', $this->app->user->account);
js::set('today', helper::today());

$memberPairs = array('' => '');
foreach($members as $member)
{
    $memberPairs[$member->account] = empty($member->realname) ? $member->account : $member->realname;
}

$canSortRegion    = commonModel::hasPriv('kanban', 'sortRegion');
$canEditRegion    = commonModel::hasPriv('kanban', 'editRegion');
$canDeleteRegion  = commonModel::hasPriv('kanban', 'deleteRegion');
$canCreateLane    = commonModel::hasPriv('kanban', 'createLane');
$canCreateColumn  = commonModel::hasPriv('kanban', 'createColumn');

js::set('canSortRegion', $canSortRegion);
?>
<?php if($project->taskStatus == 'simple'):?>
<style>
.gray {filter: opacity(70%);box-shadow: none;}
.gray:hover {border:1px solid #fff;box-shadow: none;}
</style>
<?php endif;?>
<style>
.kanban-col[data-type=ADD] {display: none;}
.kanban-col[data-type=EMPTY] {display: none;}
.gray .actions {display:none;}
.kanban-item:hover .title {padding-right: 10px;}
</style>
<div id="kanban">
<?php $count = 0;?>
<?php foreach($regionList as $region):?>
<?php $count ++;?>
<div class="region" data-id="<?php echo $region->id;?>">
  <div class="region-header <?php echo $canSortRegion ? 'sort' : '';?> dropdown">
    <span class="strong"><?php echo $region->name;?></span>
    <label class="label label-region"><?php echo $this->lang->kanbanlane->common . ' ' . $region->laneCount;?></label>
    <i class="icon icon-double-angle-up"></i>
    <?php if($canEditRegion || $canCreateLane || $canDeleteRegion):?>
    <button class="btn btn-link action" type="button" data-toggle="dropdown"><i class="icon icon-more-v"></i></button>
    <ul class="dropdown-menu pull-right">
      <?php if($canEditRegion) echo '<li>' . html::a(inlink('editRegion', "regionID={$region->id}"), $this->lang->kanban->editRegion, "data-toggle='modal'") . '</li>';?>
      <?php if($canCreateLane) echo '<li>' . html::a(inlink('createLane', "regionID={$region->id}&taskStatus={$project->taskStatus}"), $this->lang->kanban->createLane, "data-toggle='modal'") . '</li>';?>
      <?php if($canDeleteRegion) echo '<li>' . html::a(inlink('deleteRegion', "regionID={$region->id}"), $this->lang->kanban->deleteRegion, "class='confirmer' data-confirmTitle='{$lang->kanbanregion->confirmDelete}' data-confirmDetail='{$lang->kanbanregion->confirmDeleteDetail}'") . '</li>';?>
    </ul>
    <?php endif;?>
  </div>
  <div id='kanban<?php echo $region->id;?>' data-id='<?php echo $region->id;?>' class='kanban'></div>
</div>
<?php endforeach;?>
</div>
<div id='moreTasks'></div>
<div id='moreColumns'></div>

<div id='kanbanAddTaskForm' class='load-indicator action-box'>
  <div class='form-section'>
    <div class='form-group'>
      <?php echo html::input('name', '', "class='form-control' placeholder='{$lang->kanban->placeholder->inputTaskName}'");?>
    </div>
    <div class='form-group'>
      <?php echo html::textarea('desc', '', "class='form-control' placeholder='{$lang->kanban->placeholder->inputTaskDesc}'");?>
    </div>
    <div class='form-group'>
      <div class='input-group'>
        <span class='input-group-addon '><?php echo $lang->task->pri;?></span>
        <?php echo html::select('pri', $lang->task->priList, 3, "class='form-control chosen'");?>
      </div>
    </div>
    <div class='form-group'>
      <div class='input-group'>
        <span class='input-group-addon '><?php echo $lang->task->assignedTo;?></span>
        <?php echo html::select('assignedTo', $memberPairs, $this->app->user->account, "class='form-control chosen'");?>
      </div>
    </div>
    <div class='form-group'>
      <div class='input-group'>
        <span class='input-group-addon '><?php echo $lang->task->estimate;?></span>
        <?php echo html::input('estimate', '', "class='form-control'")?>
      </div>
    </div>
    <div class='form-group'>
      <div class='input-group'>
        <span class='input-group-addon '><?php echo $lang->task->deadline;?></span>
        <?php echo html::input('deadline', '', "class='form-control form-date'");?>
      </div>
    </div>
  </div>
  <div class='form-actions'>
    <?php echo html::commonButton($lang->save, 'btn action-submit btn-primary'); ?>
    <?php echo html::commonButton($lang->cancel, 'btn action-cancel');?>
  </div>
</div>
<?php include $app->getModuleRoot() . 'common/view/footer.html.php';?>
